Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ColumnStatistics1

All Superinterfaces:
  M4Object

All Known Implementing Classes:
  ColumnStatistics1

    public interface ColumnStatistics1

extends M4Object

Version:
  $Id: ColumnStatistics1.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler

Method Summary
`java.lang.Double` | `getAverageD()`
`java.lang.String` | `getMaximum()`
`java.lang.String` | `getMedian()`
`java.lang.String` | `getMinimum()`
`java.lang.String` | `getModal()`
`java.lang.Integer` | `getNrOfMissingValuesI()`
`java.lang.Integer` | `getNrOfUniqueValuesI()`
`java.lang.Double` | `getStandardDeviationD()`
`Column` | `getTheColumn()`
`java.lang.Double` | `getVarianceD()`
`void` | `setAverage(java.lang.Double average)`
`void` | `setMaximum(java.lang.String maximum)`
`void` | `setMedian(java.lang.String median)`
`void` | `setMinimum(java.lang.String minimum)`
`void` | `setModal(java.lang.String modal)`
`void` | `setNrOfMissingValues(java.lang.Integer nrOfMissingValues)`
`void` | `setNrOfUniqueValues(java.lang.Integer nrOfUniqueValues)`
`void` | `setStandardDeviation(java.lang.Double standardDeviation)`
`void` | `setTheColumn(Column column)`
`void` | `setVariance(java.lang.Double variance)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getNrOfUniqueValuesI

    java.lang.Integer getNrOfUniqueValuesI()

### setNrOfUniqueValues

    void setNrOfUniqueValues(java.lang.Integer nrOfUniqueValues)

### getNrOfMissingValuesI

    java.lang.Integer getNrOfMissingValuesI()

### setNrOfMissingValues

    void setNrOfMissingValues(java.lang.Integer nrOfMissingValues)

### getMinimum

    java.lang.String getMinimum()

### setMinimum

    void setMinimum(java.lang.String minimum)

### getMaximum

    java.lang.String getMaximum()

### setMaximum

    void setMaximum(java.lang.String maximum)

### getAverageD

    java.lang.Double getAverageD()

### setAverage

    void setAverage(java.lang.Double average)

### getStandardDeviationD

    java.lang.Double getStandardDeviationD()

### setStandardDeviation

    void setStandardDeviation(java.lang.Double standardDeviation)

### getVarianceD

    java.lang.Double getVarianceD()

### setVariance

    void setVariance(java.lang.Double variance)

### getMedian

    java.lang.String getMedian()

### setMedian

    void setMedian(java.lang.String median)

### getModal

    java.lang.String getModal()

### setModal

    void setModal(java.lang.String modal)

### getTheColumn

    Column getTheColumn()

### setTheColumn

    void setTheColumn(Column column)
                      throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005